Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.alarm
Class AlarmTable

    java.lang.Object
      org.jboss.monitor.alarm.AlarmTable

public class AlarmTable
extends Object

AlarmTable

Version:
  $Revision: 1.1.4.1 $
Author:
  Dimitris Andreadis

Field Summary
`protected MBeanImplAccess` | `mbeanImpl`

Constructor Summary
`AlarmTable(MBeanImplAccess mbeanImpl)` CTOR

Method Summary
`boolean` | `acknowledge(Object key, String user, String system)` Acknowledge an Alarm
`boolean` | `acknowledge(String serverId, String source, String type, String user, String system)` Acknowledge an Alarm
`AlarmTableNotification[]` | `getAlarmTable()` Gets a copy of the AlarmTable
`String` | `getServerId()` Gets the serverId
`void` | `setServerId(String serverId)` Sets the serverId
`boolean` | `unacknowledge(Object key, String user, String system)` Unacknowledge an Alarm
`boolean` | `unacknowledge(String serverId, String source, String type, String user, String system)` Uncknowledge an Alarm
`void` | `update(javax.management.Notification n)` Update the AlarmTable based on the incoming Notification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mbeanImpl

    protected MBeanImplAccess mbeanImpl

Constructor Detail

### AlarmTable

    public AlarmTable(MBeanImplAccess mbeanImpl)

  CTOR

Method Detail

### setServerId

    public void setServerId(String serverId)

  Sets the serverId

### getServerId

    public String getServerId()

  Gets the serverId

### update

    public void update(javax.management.Notification n)

  Update the AlarmTable based on the incoming Notification

### acknowledge

    public boolean acknowledge(String serverId,
                               String source,
                               String type,
                               String user,
                               String system)

  Acknowledge an Alarm

  Returns:
    true if ack was succesful, false otherwise (not in table or acked already)

### acknowledge

    public boolean acknowledge(Object key,
                               String user,
                               String system)

  Acknowledge an Alarm

  Returns:
    true if ack was succesful, false otherwise (not in table or acked already)

### unacknowledge

    public boolean unacknowledge(String serverId,
                                 String source,
                                 String type,
                                 String user,
                                 String system)

  Uncknowledge an Alarm

  Returns:
    true if unack was succesful, false otherwise (not in table or unacked already)

### unacknowledge

    public boolean unacknowledge(Object key,
                                 String user,
                                 String system)

  Unacknowledge an Alarm

  Returns:
    true if unack was succesful, false otherwise (not in table or unacked already)

### getAlarmTable

    public AlarmTableNotification[] getAlarmTable()

  Gets a copy of the AlarmTable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.